import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;

import formats.Formats;

import mscJNeuralNet.net.Net;
import mscJNeuralNet.net.PatternDoesNotMatchNetException;
import mscJNeuralNet.patterns.Patterns;



/**
 * Created on 03.07.2005
 * @author <A HREF="http://www.graviton.de">M. Serhat Cinar</A>
 * @version 03.07.2005
 */
public class EvalNN{
	public EvalNN() throws IOException, PatternDoesNotMatchNetException {
		String netname = "2005.07.08 00.25.10-post";
		Net myNet = Net.load(new File("null-18x2x1-bestpost.net"));
		Patterns lPat = Patterns.load("D:/diplom/_work/maple/daten/brd+nl-train-plain.pat");
		double [] lOutputs;
		double [] lAllOutputs = new double[lPat.getPatternsCount()];
		for (int pat=0; pat<lPat.getPatternsCount(); pat++) {
			lOutputs = myNet.getNetOutput(lPat.getInputPattern(pat));
			lAllOutputs[pat] = lOutputs[0];
		}
		System.out.println(Formats.format(lAllOutputs));
		PrintWriter lOut = new PrintWriter(new BufferedWriter(new FileWriter(new File("D:/diplom/_work/maple/daten/brd+nl-train-plain 18x9x1.txt"))));
		lOut.println("KNN output Strom multi");
		for (int pat=0; pat<lPat.getPatternsCount(); pat++) {
			lOut.println(lAllOutputs[pat]);
		}
		lOut.flush();
		lOut.close();
		
		lPat = Patterns.load("D:/diplom/_work/maple/daten/brd+nl-val-plain.pat");
		lAllOutputs = new double[lPat.getPatternsCount()];
		for (int pat=0; pat<lPat.getPatternsCount(); pat++) {
			lOutputs = myNet.getNetOutput(lPat.getInputPattern(pat));
			lAllOutputs[pat] = lOutputs[0];
		}
		System.out.println(Formats.format(lAllOutputs));
		lOut = new PrintWriter(new BufferedWriter(new FileWriter(new File("D:/diplom/_work/maple/daten/brd+nl-val-plain 18x9x1.txt"))));
		lOut.println("KNN output Strom multi");
		for (int pat=0; pat<lPat.getPatternsCount(); pat++) {
			lOut.println(lAllOutputs[pat]);
		}
		lOut.flush();
		lOut.close();
	}
	
	public static void main(String [] args) {
		try{
			new EvalNN();
		}
		catch (Exception e){
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}
}
