package mscJNeuralNet.patterns;


/**
 * Diese Exception wird dann erzeugt, wenn zwei Lerndatenstze (Patterns-Objekte)
 * zusammengefgt werden sollen ({@link mscJNeuralNet.patterns.Patterns#merge(Patterns, Patterns)}),
 * aber verschiedene Eingabe- oder Ausgabemustergren besitzen. 
 * <p/>
 * Created on 01.01.2004
 * @author <A HREF="http://www.graviton.de">M. Serhat Cinar</A>
 * @version 01.01.2004
 * @see mscJNeuralNet.net.Net
 * @see java.lang.Exception
 */
public class PatternsIncompatibleException extends Exception {
	
	/**
	 * Konstruktor ohne Parameter.
	 */
	public PatternsIncompatibleException(){
		super();
	} 
	
	/**
	 * Konstruktor mit Exceptiontext.
	 * 
	 * @param ex Der Text der Exception.
	 */
	public PatternsIncompatibleException(String ex) {
		super(ex);
	}
}
